"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.validationErrors = void 0;
// TODO: replace with the built-in PathReporter.report
function validationErrors(typeAlias, errors) {
    /**
     * Inspired by
     * https://github.com/mmkal/ts/blob/94a9ba8f2931c9c91122d00b0bf1bd21b2be05cd/packages/io-ts-extra/src/reporters.ts#L11.
     */
    return errors.map((error) => {
        var _a;
        const name = typeAlias || ((_a = error.context[0]) === null || _a === void 0 ? void 0 : _a.type.name);
        const lastType = error.context.length && error.context[error.context.length - 1].type.name;
        const path = name + error.context.map((c) => c.key).join('.');
        return `Invalid value '${JSON.stringify(error.value)}' supplied to ${path}, expected ${lastType}.`;
    }).join('\n');
}
exports.validationErrors = validationErrors;
//# sourceMappingURL=error.js.map